Skip to content

List inbounds in the selected organization

GET
/v1/organizations/{organizationId}/inbounds

API key scope: inventory:read.

X-Request-Id
string

Optional client request id returned in structured errors.

status
string
Allowed values: expected partiallyReceived received closed cancelled
productId
string

Filter by product id.

locationId
string

Filter by location id.

ownerId
string

Filter by inventory owner id.

channelId
string

Filter by inventory channel id.

externalOrderType
string
Example
purchase_order
externalOrderId
string
Example
po_01JABC
createdFrom
string format: date-time
Example
2026-06-29T00:00:00.000Z
createdTo
string format: date-time
Example
2026-06-30T00:00:00.000Z
limit
number
default: 25 >= 1 <= 100
cursor
string

Inbound id cursor returned by the previous page.

Inbounds page.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
productId
required
string format: uuid
locationId
required
string format: uuid
ownerId
required
string format: uuid
channelId
required
string format: uuid
expectedQuantity
required
number
receivedQuantity
required
number
status
required
string
Allowed values: expected partiallyReceived received closed cancelled
supplierName
object
supplierReference
object
externalOrderType
object
externalOrderId
object
expectedAt
object
receivedAt
object
closedAt
object
cancelledAt
object
referenceType
object
referenceId
object
metadata
object
key
additional properties
any
version
required
number
createdBy
object
actor
required
object
type
required
string
Allowed values: user api_key system
id
object
label
required
string
product
object
id
required
string format: uuid
name
required
string
sku
required
string
location
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
Allowed values: warehouse store virtual
owner
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
channel
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
object
Example
{
"items": [
{
"id": "99999999-9999-4999-8999-999999999999",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"productId": "22222222-2222-4222-8222-222222222222",
"locationId": "33333333-3333-4333-8333-333333333333",
"expectedQuantity": 20,
"receivedQuantity": 5,
"status": "partiallyReceived",
"supplierName": "Acme Supplies",
"supplierReference": "SUP-PO-1001",
"externalOrderType": "purchase_order",
"externalOrderId": "po_01JABC",
"expectedAt": "2026-07-10T12:00:00.000Z",
"receivedAt": null,
"closedAt": null,
"cancelledAt": null,
"referenceType": "purchase_order",
"referenceId": "po_01JABC",
"metadata": {
"receivingDock": "A"
},
"version": 1,
"createdBy": null,
"actor": {
"type": "api_key",
"id": "api-key-1",
"label": "Public test integration"
},
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"name": "Black T-Shirt - Medium",
"sku": "TSHIRT-BLACK-M"
},
"location": {
"id": "33333333-3333-4333-8333-333333333333",
"name": "Main Warehouse",
"code": "MAIN-WH",
"type": "warehouse"
},
"lines": [
{
"id": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"outboundId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"productId": "22222222-2222-4222-8222-222222222222",
"locationId": "33333333-3333-4333-8333-333333333333",
"requestedQuantity": 4,
"allocatedQuantity": 2,
"fulfilledQuantity": 0,
"pendingAllocationQuantity": 2,
"pendingFulfillmentQuantity": 2,
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"name": "Black T-Shirt - Medium",
"sku": "TSHIRT-BLACK-M"
},
"location": {
"id": "33333333-3333-4333-8333-333333333333",
"name": "Main Warehouse",
"code": "MAIN-WH",
"type": "warehouse"
},
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:05:00.000Z"
}
],
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:05:00.000Z"
}
],
"nextCursor": null
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}